Summary: Revision Control System (RCS) file version management tools.
Name: rcs
Version: 5.7
Release: 3mdk
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.gnu.org/pub/gnu/rcs-5.7.tar.bz2
Patch: rcs-5.7-stupidrcs.patch.bz2
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%prep
%setup -q
%patch -p1

%build
#CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr --with-diffutils

%configure --with-diffutils

touch src/conf.h
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

#./configure --prefix=$RPM_BUILD_ROOT/usr --with-diffutils
#touch src/conf.h

make prefix=$RPM_BUILD_ROOT/%{_prefix} install

strip $RPM_BUILD_ROOT/usr/bin/*


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%files
%defattr(-,root,root)
%doc NEWS REFS
%{_prefix}/bin/*
%{_prefix}/man/man1/*
%{_prefix}/man/man5/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 5.7-3mdk
- New groups

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file; added BuildRoot

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
-built against glibc
